# OrtLoggingLevel (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Enum OrtLoggingLevel

- java.lang.Object
- - java.lang.Enum<OrtLoggingLevel>
  - - ai.onnxruntime.OrtLoggingLevel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OrtLoggingLevel>`

    public enum OrtLoggingLevel
    extends java.lang.Enum<OrtLoggingLevel>

The logging level for messages from the environment and session.

### Enum Constant Summary

Enum Constants
`ORT_LOGGING_LEVEL_ERROR`
`ORT_LOGGING_LEVEL_FATAL`
`ORT_LOGGING_LEVEL_INFO`
`ORT_LOGGING_LEVEL_VERBOSE`
`ORT_LOGGING_LEVEL_WARNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Gets the native value associated with this logging level.
`static OrtLoggingLevel` `mapFromInt​(int logLevel)` Maps from the C API's int enum to the Java enum.
`static OrtLoggingLevel` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OrtLoggingLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ORT_LOGGING_LEVEL_VERBOSE

    public static final OrtLoggingLevel ORT_LOGGING_LEVEL_VERBOSE

#### ORT_LOGGING_LEVEL_INFO

    public static final OrtLoggingLevel ORT_LOGGING_LEVEL_INFO

#### ORT_LOGGING_LEVEL_WARNING

    public static final OrtLoggingLevel ORT_LOGGING_LEVEL_WARNING

#### ORT_LOGGING_LEVEL_ERROR

    public static final OrtLoggingLevel ORT_LOGGING_LEVEL_ERROR

#### ORT_LOGGING_LEVEL_FATAL

    public static final OrtLoggingLevel ORT_LOGGING_LEVEL_FATAL

### Method Detail

#### values

    public static OrtLoggingLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OrtLoggingLevel c : OrtLoggingLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OrtLoggingLevel valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Gets the native value associated with this logging level.

Returns:
  The native value.

#### mapFromInt

    public static OrtLoggingLevel mapFromInt​(int logLevel)

Maps from the C API's int enum to the Java enum.

Parameters:
  `logLevel` - The index of the Java enum.
Returns:
  The Java enum.